Bug 894176 - (wbox) Review Request: wbox - HTTP testing tool and configuration-less HTTP server
Review Request: wbox - HTTP testing tool and configuration-less HTTP server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
:
: 769056 (view as bug list)
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2013-01-10 17:18 EST by Fabian Affolter
Modified: 2014-09-25 08:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-15 21:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
praiskup: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2013-01-10 17:18:38 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/wbox.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/wbox-5-4.fc17.src.rpm

Project URL: http://www.hping.org/wbox/

Description:
Wbox aims to help you having fun while testing HTTP related stuff.
You can use it to perform many tasks, including the following.
 * Benchmarking how much time it takes to generate content
   for your web application.
 * Web server and web application stressing.
 * Testing virtual domains configuration without the need to alter
   your local resolver.
 * Check if your redirects are working correctly emitting
   the right HTTP code.
 * Test if the HTTP compression is working and if it is actually
   serving pages faster.
 * Use it as a configuration-less HTTP server to share files!

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4856163

rpmlint output:
[fab@laptop11 SRPMS]$ rpmlint wbox-5-4.fc17.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop11 x86_64]$ rpmlint wbox*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab
Comment 1 Fabian Affolter 2013-01-10 17:23:32 EST
*** Bug 769056 has been marked as a duplicate of this bug. ***
Comment 2 Eduardo Echeverria 2013-01-10 18:15:44 EST
Fabian you're packager, Why the flag FE-NEEDSPONSOR?
Comment 3 Fabian Affolter 2013-01-11 06:59:18 EST
Copy-&-paste from the duplicate bug...
Comment 4 Pavel Raiskup 2013-02-27 01:31:10 EST
Hello Fabian, thanks for packaging - I'll look at this review.

Pavel
Comment 5 Pavel Raiskup 2013-02-27 03:27:12 EST
Hello again, package seems to be OK to me.

I just would trim some trailing whitespaces and better document where the
wbox.1 manual page comes from.  Note that spec file from srpm has some
white-space changes so posted spec differs from the one packed in srpm.

Pavel

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)". 1 files have unknown license. Detailed output of
     licensecheck in
     /home/praiskup/packages/wbox/review1/894176-wbox/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[-]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 4 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
     Note: x86_64 & i686 are OK
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
Comment 6 Fabian Affolter 2013-03-01 17:36:48 EST
Thanks Pavel for the review.

(In reply to comment #5)
> I just would trim some trailing whitespaces and better document where the
> wbox.1 manual page comes from.  Note that spec file from srpm has some
> white-space changes so posted spec differs from the one packed in srpm.

* Wed Feb 27 2013 Fabian Affolter <mail@fabian-affolter.ch> - 5-5
- Whitespaces removed
- Comment added

Updated file:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/wbox.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/wbox-5-5.fc18.src.rpm
Comment 7 Pavel Raiskup 2013-03-04 04:39:30 EST
Thanks for your work on wbox,

APPROVED
Comment 8 Fabian Affolter 2013-03-04 16:21:24 EST
New Package SCM Request
=======================
Package Name: wbox
Short Description: HTTP testing tool and configuration-less HTTP server
Owners: fab
Branches: F17 F18
InitialCC:
Comment 9 Gwyn Ciesla 2013-03-05 09:15:12 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-03-06 02:37:46 EST
wbox-5-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wbox-5-5.fc17
Comment 11 Fedora Update System 2013-03-06 02:37:59 EST
wbox-5-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wbox-5-5.fc18
Comment 12 Fedora Update System 2013-03-06 17:55:00 EST
wbox-5-5.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2013-03-15 21:40:49 EDT
wbox-5-5.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2013-03-15 21:45:08 EDT
wbox-5-5.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fabian Affolter 2014-09-24 16:57:02 EDT
Package Change Request
======================
Package Name: wbox
New Branches: el6 epel7
Owners: fab
InitialCC:
Comment 16 Gwyn Ciesla 2014-09-25 08:10:26 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.